Description

Supportanfrage

Ein frohes neues Jahr wünsche ich euch. Hier ist eine Kundenanfrage bei der ich mich bei euch rückversichern möchte:

Ist es möglich die Konfigurations XML Datei zu verschlüsseln? Der Kunde nutzt ADTF 2.13.3 und möchte diese seinem Kunden mit

ausliefern, meint aber die Konfig gibt zuviel Informationen über seine Werte in den Properties und Verknüpfungen preis.

Kann er die irgendwie schützen?

Wäre das für ADTF 3 möglich?

Best regards,

Anja Winkler

EB Assist ADTF Support-Team

Lösung

Also so ganz wird das nicht gehen und ist auch keine Anforderung. Was der Sache am nähesten kommt:

Ein Binary Configuration File erstellen, siehe Kap. 1.14 -> damit wäre die Config schon mal nicht in einem Textpad einsehbar oder

veränderbar.

In ADTF werden Filter und Properties aber schon angezeigt, außer zum Bsp. bei einer Runtime Edition, wo CE und Property Editor

fehlen.

Damit wäre es nicht einsehbar und somit geschützt.

Sobald aber der Partner eine Developer Lizenz hat kann er es zumindest sehen.

Dann bliebe nur der Weg, die Properties als hidden zu deklarieren in Kombination mit einem Binary Configuration File.

Derartige Mechanismus sind bisland in ADTF 3.x nicht gefordert.

History

#1 - 2020-01-13 11:04 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Affected Products ADTF 2.13.3 added

#3 - 2020-01-15 14:36 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Not Supported Scope

- Customer set to ELEKTROBIT

- Department set to SUPPORT
ebenso frohes Neues !

Also so ganz wird das nicht gehen und ist auch keine Anforderung. Was der Sache am nähesten kommt:

Ein Binary Configuration File erstellen, siehe Kap. 1.14 -> damit wäre die Config schon mal nicht in einem Textpad einsehbar oder veränderbar.

In ADTF werden Filter und Properties aber schon angezeigt, außer zum Bsp. bei einer Runtime Edition, wo CE und Property Editor fehlen.

Damit wäre es nicht einsehbar und somit geschützt.

Sobald aber der Partner eine Developer Lizenz hat kann er es zumindest sehen.

Dann bliebe nur der Weg, die Properties als hidden zu deklarieren in Kombination mit einem Binary Configuration File.

Derartige Mechanismus sind bisland in ADTF 3.x nicht gefordert.

@Martin: Weitere Ideen / Anmerkungen ?

#4 - 2020-01-21 13:40 - hidden

@Flo, nein da fällt mir leider nichts weiter dazu ein.

#5 - 2020-01-23 14:08 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-5856 [IAV]Technical request: Protect Intellectual Property to EBPRODUCTSUPPORT-5856 Protect

and hide properties and secret know how

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#6 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
